<template>
    <tbody>
        <tr>
            <td>{{user.company.company}} </td>
            <td>{{user.name}}</td>
            <td>{{user.position}}</td>
            <td>{{user.date}}</td>
            <td>{{user.phone}}</td>
            <td>{{user.email}}</td>
            <td>${{user.salary}}</td>
            <td v-if="lvl >= 2" class="btn-group btn-admin">
                <button @click="deleteUser(user.id)" type="button" class="btn btn-danger">Удалить</button>
                <button @click="openEditModal(user)" type="button" class="btn btn-warning">Изменить</button>

                <!-- Модальное окно для редактирования -->
                <edit-employee-modal
                    :show="showEditModal"
                    :editableUser="editableUser"
                    @close="showEditModal = false"
                />
            </td>
        </tr>
    </tbody>
</template>

<script>
    import EditEmployeeModal from "./EditEmployeeModal.vue";
    import {mapActions} from "vuex";

    export default {
        components: {
            EditEmployeeModal,
        },
        data() {
            return {
                showEditModal: false,
                editableUser: null
            };
        },
        name: 'UserCard',
        props: ['user', 'lvl'],
        methods: {
            ...mapActions('employees', ['deleteUser', 'editUser']),
            openEditModal(user) {
                this.editableUser = {...user};
                this.showEditModal = true;
            },
        }
    }
</script>

<style scoped>
.btn-admin {
    padding-top: 26px;
}
</style>
